Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.common
Class PortalMode

    java.lang.Object
      |
      +--com.bea.p13n.common.PortalMode

public class PortalMode
extends java.lang.Object

The PSE or "Portal Scalability Enhancement" improves portal scalability when a high number of group portals are defined. CR136253 defines the CR for this enhancement. Because this modification required database schema modifications there is a need to determine what mode is currently being used. To turn on PSE a System flag is required, otherwise the portal will operate in "classic" mode. This class will provide methods to determine what state the portal is running in, "PSE" or "classic".

Field Summary
`static java.lang.String` | `CLASSIC_MODE`
`static boolean` | `PSE_ENABLED`
`static java.lang.String` | `PSE_FLAG_NAME`
`static java.lang.String` | `PSE_FLAG_ORIGINAL_NAME`
`static java.lang.String` | `PSE_MODE`

Constructor Summary
`PortalMode()`

Method Summary
`static java.lang.String` | `getPortalMode()`
`static boolean` | `isPSE_Mode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PSE_FLAG_ORIGINAL_NAME

    public static final java.lang.String PSE_FLAG_ORIGINAL_NAME

### PSE_FLAG_NAME

    public static final java.lang.String PSE_FLAG_NAME

### CLASSIC_MODE

    public static final java.lang.String CLASSIC_MODE

### PSE_MODE

    public static final java.lang.String PSE_MODE

### PSE_ENABLED

    public static boolean PSE_ENABLED

Constructor Detail

### PortalMode

    public PortalMode()

Method Detail

### isPSE_Mode

    public static boolean isPSE_Mode()

### getPortalMode

    public static java.lang.String getPortalMode()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved